| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Parameter_t Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Qos Module

Base Parameter class with parameter PID and parameter length in bytes. More...

`#include <ParameterTypes.hpp>`

Inheritance diagram for Parameter_t:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const

## Public Attributes

ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.

## Detailed Description

Base Parameter class with parameter PID and parameter length in bytes.

## Constructor & Destructor Documentation

## ◆ Parameter_t() [1/2]

FASTDDS_EXPORTED_API Parameter_t | ( |  | ) |

inline

Constructor without parameters.

## ◆ Parameter_t() [2/2]

FASTDDS_EXPORTED_API Parameter_t | ( | ParameterId_t | pid,
|  | uint16_t | length )

inline

Constructor using a parameter PID and the parameter length.

Parameters

  pid | Pid of the parameter
  length | Its associated length

## ◆ ~Parameter_t()

virtual FASTDDS_EXPORTED_API ~Parameter_t | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const Parameter_t & | b | ) | const

inline

## Member Data Documentation

## ◆ length

uint16_t length

Parameter length.
By default, 0.

## ◆ Pid

ParameterId_t Pid

Parameter ID.
By default, PID_PAD.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ParameterTypes.hpp